$ErrorActionPreference = 'Stop';

$packageName= 'invantive-query-tool'

$packageArgs = @{
  packageName = $packageName
  fileType = 'MSI'
  url = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-17.26.5.msi'
  url64bit = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-17.26.5.msi'
  softwareName = 'Invantive Query Tool'
  checksum = 'AF84156AF8FEFF3888E89A1EDE6595C25DBD4BEB24E025D0C4ABD0DEB28A1BD1'
  checksumType = 'sha256'
  checksum64 = 'AF84156AF8FEFF3888E89A1EDE6595C25DBD4BEB24E025D0C4ABD0DEB28A1BD1'
  checksumType64 = 'sha256'
  silentArgs = "/qn /norestart /l*v `"$env:Temp\invantive-query-tool-17.26.5-msi-install.log`""
  validExitCodes = @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
